<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_d5ebf376f635c" . "188ec65813608e" . "6ece5" => base64_decode("bmV3X3ZlcnN" . "pb24="), "_6e38cb9e043a07cd69a1711" . "a6704c62a" => base64_decode("cGFyZW50" . "X2lk"), "_0ee0a25025d73f8693a4bb37a3" . "c298ac" => base64_decode("Y2hlY2tlZ" . "F9pbl9ieQ" . "=="));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_0ee0a25025d73f8693a4" . "bb37a3c298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d5ebf376f635c188ec" . "65813608e6ece5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_6e38cb9e" . "043a07cd6" . "9a1711a67" . "04c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}